This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 813141 - Socket server event handler: Too many open files when data copied from windows
Socket server event handler: Too many open files when data copied from windows
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks: 853597
  Show dependency treegraph
 
Reported: 2012-04-17 00:27 EDT by Sachidananda Urs
Modified: 2015-10-22 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 853597 (view as bug list)
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2012-04-17 00:27:34 EDT
When I try to copy data sizing upto few gigabytes, I see the following errors in the NFS logs. The data copy freezes over after transferring around 2.5 gigabytes of data.


[2012-04-14 10:49:37.422492] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422507] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422522] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422536] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422551] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422565] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422580] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422595] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422613] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422630] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422645] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422660] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422674] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422694] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422709] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422724] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422739] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422761] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422777] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422791] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422806] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422820] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422835] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422849] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422864] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422878] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422893] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422907] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422922] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422937] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422951] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422965] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422980] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.422994] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.423009] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.423023] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
[2012-04-14 10:49:37.423038] W [socket.c:1851:socket_server_event_handler] 0-socket.nfs-server: accept on 13 failed (Too many open files)
Comment 1 Amar Tumballi 2012-09-04 05:35:19 EDT
sac/qe team, can we get to know if this is happening now? didn't heard of this with NFS testing on RHS.
Comment 2 Sachidananda Urs 2012-09-04 07:10:22 EDT
Amar, haven't tested on Windows after 2.0 release. But since there was no patch, I didn't test after the release.
Comment 3 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.